Skip to main content
POST
Create deployment
A deployment binds a model in CoreWeave AI Object Storage (CAIOS) to one or more gateways. Required fields on the request body: name, gatewayIds, runtime, resources, model, autoscaling, and traffic. The available runtime.engine and runtime.version values are returned by GET /v1alpha1/inference/deployments/parameters.
Example request

인증

Authorization
string
header
기본값:Bearer {API_ACCESS_TOKEN}
필수

CoreWeave API access token sent as a bearer token.

본문

application/json

Request for CreateDeployment

name
string
필수

The name of the deployment

gatewayIds
string[]
필수

The gateways to associate the deployment with

runtime
object
필수

Runtime selection and configuration

resources
object
필수

Resource configuration for the deployment

model
object
필수

The model configuration

autoscaling
object
필수

The autoscaling configuration

traffic
object
필수

The traffic configuration for the deployment

id
string

The unique identifier of the deployment, UUID format

disabled
boolean

Disable the deployment

hotLoad
object

The hot-load configuration for the deployment. Set it to enable checkpoint hot-loading; it is immutable after creation.

응답

OK

Response for CreateDeployment

deployment
object

The deployment that was created

마지막 수정일 2026년 9월 30일